websocket-sharp : WebSocketSharp.Net Namespace

# HttpListenerException Class

Documentation for this section has not yet been entered.

## Syntax

public class HttpListenerException : System.ComponentModel.Win32Exception

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Net
Assembly: websocket-sharp (in websocket-sharp.dll)
Assembly Versions: 1.0.2.36581

## Members

See Also: Inherited members from System.ComponentModel.Win32Exception.

## Public Constructors

| HttpListenerException () | Documentation for this section has not yet been entered.
| HttpListenerException (int) | Documentation for this section has not yet been entered.
| HttpListenerException (int, string) | Documentation for this section has not yet been entered.

## Protected Constructors

| HttpListenerException (System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext) | Documentation for this section has not yet been entered.

## Public Properties

[read-only] override | ErrorCode | int . Documentation for this section has not yet been entered.

## Extension Methods

static

IsNull<T> (this T) : bool

> Determines whether the specified object is `null`.

static

IsNullDo<T> (this T, Action) : bool

> Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### HttpListenerException Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public HttpListenerException ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### HttpListenerException Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public HttpListenerException (int errorCode)

> #### Parameters

> > errorCode
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### HttpListenerException Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public HttpListenerException (int errorCode, string message)

> #### Parameters

> > errorCode
> >   Documentation for this section has not yet been entered.
> > message
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### HttpListenerException Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> protected HttpListenerException (System.Runtime.Serialization.SerializationInfo serializationInfo, System.Runtime.Serialization.StreamingContext streamingContext)

> #### Parameters

> > serializationInfo
> >   Documentation for this section has not yet been entered.
> > streamingContext
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### ErrorCode Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public override int ErrorCode { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581